/*
	Parameter file for Multiply, Accumulate and Satulation check for YCbCr2RGB 1element.
	
	File		: YCbCr2RGB_Gmac.nsh

	Designer	: Masami IKURA [ MASATIKU ]
	Organize	: KURUSUGAWA Electronics Industry Inc,.
	Revision	: Rev0.1
	Syntax		: NSL language set
	Resume		: 110517 first design.
*/

#define		value_of_overflow	8'hFF ;
#define		value_of_underflow	8'h00 ;

declare YCbCr2RGB_Gmac {
	input	Yin[8] ;
	input	Cbin[8] ;
	input	Crin[8] ;
	
	input	COEF_Ain[16] ;
	input	COEF_Bin[16] ;
	input	COEF_Cin[16] ;
	
	input	COEF_Din[16] ;

	output	RGBout[8] ;
}

