/*
 Produced by NSL Core(version=20110725), IP ARCH, Inc. Thu Apr 11 09:32:40 2013
 Licensed to :LIMITED EVALUATION USER:
*/
/*
 EVALUATION COPY!   DO NOT USE ANY PART OF THIS FILE FOR COMMERCIAL PRODUCTS. 
*/

module YCbCr2RGB_conv ( p_reset , m_clock , Y_in , Cb_in , Cr_in , R_out , G_out , B_out , VSYNCin , HSYNCin , VSYNCout , HSYNCout , ConvStart , ConvFinish );
  input p_reset, m_clock;
  wire p_reset, m_clock;
  input [7:0] Y_in;
  wire [7:0] Y_in;
  input [7:0] Cb_in;
  wire [7:0] Cb_in;
  input [7:0] Cr_in;
  wire [7:0] Cr_in;
  output [7:0] R_out;
  wire [7:0] R_out;
  output [7:0] G_out;
  wire [7:0] G_out;
  output [7:0] B_out;
  wire [7:0] B_out;
  input VSYNCin;
  wire VSYNCin;
  input HSYNCin;
  wire HSYNCin;
  output VSYNCout;
  wire VSYNCout;
  output HSYNCout;
  wire HSYNCout;
  input ConvStart;
  wire ConvStart;
  output ConvFinish;
  wire ConvFinish;
  reg [7:0] reg_Rout;
  reg [7:0] reg_Gout;
  reg [7:0] reg_Bout;
  reg [3:0] shiftregs;
  reg [2:0] VSYNC_tmg;
  reg [2:0] HSYNC_tmg;
  wire [7:0] _R_YCbCr2RGB_mac_Yin;
  wire [7:0] _R_YCbCr2RGB_mac_Cbin;
  wire [7:0] _R_YCbCr2RGB_mac_Crin;
  wire [15:0] _R_YCbCr2RGB_mac_COEF_Ain;
  wire [15:0] _R_YCbCr2RGB_mac_COEF_Bin;
  wire [15:0] _R_YCbCr2RGB_mac_COEF_Cin;
  wire [15:0] _R_YCbCr2RGB_mac_COEF_Din;
  wire [7:0] _R_YCbCr2RGB_mac_RGBout;
  wire _R_YCbCr2RGB_mac_p_reset;
  wire _R_YCbCr2RGB_mac_m_clock;
  wire [7:0] _G_YCbCr2RGB_mac_Yin;
  wire [7:0] _G_YCbCr2RGB_mac_Cbin;
  wire [7:0] _G_YCbCr2RGB_mac_Crin;
  wire [15:0] _G_YCbCr2RGB_mac_COEF_Ain;
  wire [15:0] _G_YCbCr2RGB_mac_COEF_Bin;
  wire [15:0] _G_YCbCr2RGB_mac_COEF_Cin;
  wire [15:0] _G_YCbCr2RGB_mac_COEF_Din;
  wire [7:0] _G_YCbCr2RGB_mac_RGBout;
  wire _G_YCbCr2RGB_mac_p_reset;
  wire _G_YCbCr2RGB_mac_m_clock;
  wire [7:0] _B_YCbCr2RGB_mac_Yin;
  wire [7:0] _B_YCbCr2RGB_mac_Cbin;
  wire [7:0] _B_YCbCr2RGB_mac_Crin;
  wire [15:0] _B_YCbCr2RGB_mac_COEF_Ain;
  wire [15:0] _B_YCbCr2RGB_mac_COEF_Bin;
  wire [15:0] _B_YCbCr2RGB_mac_COEF_Cin;
  wire [15:0] _B_YCbCr2RGB_mac_COEF_Din;
  wire [7:0] _B_YCbCr2RGB_mac_RGBout;
  wire _B_YCbCr2RGB_mac_p_reset;
  wire _B_YCbCr2RGB_mac_m_clock;
  wire _net_0;
YCbCr2RGB_Bmac B_YCbCr2RGB_mac (.p_reset(_B_YCbCr2RGB_mac_p_reset), .m_clock(_B_YCbCr2RGB_mac_m_clock), .RGBout(_B_YCbCr2RGB_mac_RGBout), .COEF_Din(_B_YCbCr2RGB_mac_COEF_Din), .COEF_Cin(_B_YCbCr2RGB_mac_COEF_Cin), .COEF_Bin(_B_YCbCr2RGB_mac_COEF_Bin), .COEF_Ain(_B_YCbCr2RGB_mac_COEF_Ain), .Crin(_B_YCbCr2RGB_mac_Crin), .Cbin(_B_YCbCr2RGB_mac_Cbin), .Yin(_B_YCbCr2RGB_mac_Yin));
YCbCr2RGB_Gmac G_YCbCr2RGB_mac (.p_reset(_G_YCbCr2RGB_mac_p_reset), .m_clock(_G_YCbCr2RGB_mac_m_clock), .RGBout(_G_YCbCr2RGB_mac_RGBout), .COEF_Din(_G_YCbCr2RGB_mac_COEF_Din), .COEF_Cin(_G_YCbCr2RGB_mac_COEF_Cin), .COEF_Bin(_G_YCbCr2RGB_mac_COEF_Bin), .COEF_Ain(_G_YCbCr2RGB_mac_COEF_Ain), .Crin(_G_YCbCr2RGB_mac_Crin), .Cbin(_G_YCbCr2RGB_mac_Cbin), .Yin(_G_YCbCr2RGB_mac_Yin));
YCbCr2RGB_Rmac R_YCbCr2RGB_mac (.p_reset(_R_YCbCr2RGB_mac_p_reset), .m_clock(_R_YCbCr2RGB_mac_m_clock), .RGBout(_R_YCbCr2RGB_mac_RGBout), .COEF_Din(_R_YCbCr2RGB_mac_COEF_Din), .COEF_Cin(_R_YCbCr2RGB_mac_COEF_Cin), .COEF_Bin(_R_YCbCr2RGB_mac_COEF_Bin), .COEF_Ain(_R_YCbCr2RGB_mac_COEF_Ain), .Crin(_R_YCbCr2RGB_mac_Crin), .Cbin(_R_YCbCr2RGB_mac_Cbin), .Yin(_R_YCbCr2RGB_mac_Yin));

   assign  _R_YCbCr2RGB_mac_Yin = Y_in;
   assign  _R_YCbCr2RGB_mac_Cbin = Cb_in;
   assign  _R_YCbCr2RGB_mac_Crin = Cr_in;
   assign  _R_YCbCr2RGB_mac_COEF_Ain = 16'b0001000000000000;
   assign  _R_YCbCr2RGB_mac_COEF_Bin = 16'b0000000000000000;
   assign  _R_YCbCr2RGB_mac_COEF_Cin = 16'b0001011001101110;
   assign  _R_YCbCr2RGB_mac_COEF_Din = 16'b1011001101110101;
   assign  _R_YCbCr2RGB_mac_p_reset = p_reset;
   assign  _R_YCbCr2RGB_mac_m_clock = m_clock;
   assign  _G_YCbCr2RGB_mac_Yin = Y_in;
   assign  _G_YCbCr2RGB_mac_Cbin = Cb_in;
   assign  _G_YCbCr2RGB_mac_Crin = Cr_in;
   assign  _G_YCbCr2RGB_mac_COEF_Ain = 16'b0001000000000000;
   assign  _G_YCbCr2RGB_mac_COEF_Bin = 16'b0000010110000001;
   assign  _G_YCbCr2RGB_mac_COEF_Cin = 16'b0000101101101101;
   assign  _G_YCbCr2RGB_mac_COEF_Din = 16'b1000011101110110;
   assign  _G_YCbCr2RGB_mac_p_reset = p_reset;
   assign  _G_YCbCr2RGB_mac_m_clock = m_clock;
   assign  _B_YCbCr2RGB_mac_Yin = Y_in;
   assign  _B_YCbCr2RGB_mac_Cbin = Cb_in;
   assign  _B_YCbCr2RGB_mac_Crin = Cr_in;
   assign  _B_YCbCr2RGB_mac_COEF_Ain = 16'b0001000000000000;
   assign  _B_YCbCr2RGB_mac_COEF_Bin = 16'b0001110001011010;
   assign  _B_YCbCr2RGB_mac_COEF_Cin = 16'b0000000000000000;
   assign  _B_YCbCr2RGB_mac_COEF_Din = 16'b1110001011010001;
   assign  _B_YCbCr2RGB_mac_p_reset = p_reset;
   assign  _B_YCbCr2RGB_mac_m_clock = m_clock;
   assign  _net_0 = shiftregs[3];
   assign  R_out = reg_Rout;
   assign  G_out = reg_Gout;
   assign  B_out = reg_Bout;
   assign  VSYNCout = VSYNC_tmg[2];
   assign  HSYNCout = HSYNC_tmg[2];
   assign  ConvFinish = _net_0;
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     reg_Rout <= 8'b00000000;
else   reg_Rout <= _R_YCbCr2RGB_mac_RGBout;
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     reg_Gout <= 8'b00000000;
else   reg_Gout <= _G_YCbCr2RGB_mac_RGBout;
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     reg_Bout <= 8'b00000000;
else   reg_Bout <= _B_YCbCr2RGB_mac_RGBout;
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     shiftregs <= 4'b0000;
else   shiftregs <= {shiftregs[2:0],ConvStart};
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     VSYNC_tmg <= 3'b000;
else   VSYNC_tmg <= {VSYNC_tmg[1:0],VSYNCin};
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     HSYNC_tmg <= 3'b000;
else   HSYNC_tmg <= {HSYNC_tmg[1:0],HSYNCin};
end
endmodule
/*
 Produced by NSL Core(version=20110725), IP ARCH, Inc. Thu Apr 11 09:32:40 2013
 Licensed to :LIMITED EVALUATION USER:
*/
